[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.AfterDelete

Event triggered after a successful Delete operation.

## Declaration

Source position: db.pas line 1759

`public property TDataSet.AfterDelete : TDataSetNotifyEvent read FAfterDelete write FAfterDelete;`

## Description

AfterDelete is triggered after the successful completion of the TDataset.Delete operation, when the dataset is again in dsBrowse state. The event is followed by a TDataset.AfterScroll event.

## See also

TDataset.BeforeDelete |  | Event triggered before a Delete operation.
TDataset.Delete |  | Delete the current record.
TDataset.AfterScroll |  | Event triggered after the cursor has changed position.
TDataset.State |  | Current operational state of the dataset